UPGRADEPKG(8)

NOM
upgradepkg - met à niveau des paquets Slackware.

SYNOPSIS
upgradepkg [ --dry-run ] [ --install-new ] [ --reinstall ] [ --verbose ] nouveaunomdepaquet [nouveaunomdepaquet2]

upgradepkg [ --dry-run ] [ --install-new ] [ --reinstall ] [ --verbose ] anciennomdepaquet%nouveaunomdepaquet [ancien2%nouveau2]

DESCRIPTION
upgradepkg met à niveau un paquet Slackware d'une ancienne version à une nouvelle. Il le fait en INSTALLANT d'abord le nouveau paquet sur le système, puis en SUPPRIMANT tous les fichiers de l'ancien paquet absents du nouveau paquet. Si l'ancien et le nouveau paquet portent le même nom, un seul argument est nécessaire. Sils ont des noms différents, il faut fournir le nom de l'ancien paquet suivi d'un symbole pourcent (%), puis du nom du nouveau paquet. Ne pas ajouter d'espace dans les paires ancien/nouveau nom de paquet (avant ou après le symbole %). Si upgradepkg trouve plus d'un paquet installé dont le nom correspond à celui de l'ancien paquet, il les enlèvera tous.

Pour mettre à niveau dans un répertoire autre que / (comme /mnt) :

ROOT=/mnt upgradepkg paquet.tgz (ou .tbz, .tlz, .txz)

OPTIONS

--dry-run
    Produit un rapport sur les paquets qui seraient installés ou mis à niveau, mais n'effectue pas les mises à niveau.

--install-new
    Normalement, upgradepkg met à niveau des paquets déjà installés sur le système et saute tout paquet dont une version n'est pas déjà installée. Si l'option --install-new est spécifiée, ce comportement est modifié pour installer de nouveaux paquets en sus des existants.

--reinstall
    Habituellement upgradepkg saute un paquet si exactement le même (mêmes noms, versions, architectures et numéros de "build") est déjà installé. Utilisez l'option "reinstall" si vous voulez mettre à jour les paquets même dans ce cas. NdT : cette option est notamment utile si des fichiers inclus dans un paquet ont été supprimés ou modifiés sans utiliser les outils de gestion des paquets, pour reconstituer l'état initial de ce paquet.

--verbose
    Montrer tous les détails de la mise à jour.

BOGUES
Avant de mettre à niveau un paquet, sauvegardez tout fichier de configuration (tels que ceux installés dans /etc) que vous souhaitez conserver. Ils seront quelquefois préservés, mais cela dépend de la structure du paquet. Si vous voulez forcer l'installation de fichiers de configuration, enlevez les anciens avant d'exécuter upgradepkg.

AUTEUR
Patrick J. Volkerding <volkerdi@slackware.com>

VOIR AUSSI
makepkg(8), installpkg(8), removepkg(8), explodepkg(8), pkgtool(8)